## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo qt5platform-plugins
%global __provides_exclude_from ^%{_qt5_plugindir}/.*\\.so$
%global _enable_wayland 0

Name:           deepin-%{repo}
Version:        5.6.12
Release:        %autorelease
Summary:        Qt platform integration plugins for Deepin Desktop Environment
# migrated to SPDX
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/%{repo}
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(dde-wayland-client)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(mtdev)
BuildRequires:  wayland-devel
# for libQt5EdidSupport.a
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  make
Provides:       deepin-qt5dxcb-plugin = %{version}-%{release}
Provides:       deepin-qt5dxcb-plugin%{?_isa} = %{version}-%{release}
Obsoletes:      deepin-qt5dxcb-plugin < 5.0.21

%description
%{repo} is the
%{summary}.

%prep
%autosetup -p1 -n %{repo}-%{version}
rm -r xcb/libqt5xcbqpa-dev wayland/qtwayland-dev

sed -i 's|error(Not support Qt Version: .*)|INCLUDEPATH += %{_qt5_includedir}/QtXcb|' xcb/linux.pri
%if !%{_enable_wayland}
sed -i '/wayland/d' qt5platform-plugins.pro
%endif

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_qt5_plugindir}/platforms/libdxcb.so
%if %{_enable_wayland}
%{_qt5_plugindir}/platforms/libdwayland.so
%{_qt5_plugindir}/wayland-shell-integration/libkwayland-shell.so
%endif

%changelog
* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.6.12-1
- New release 5.6.12

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.59.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Jan Grulich <jgrulich@redhat.com> - 5.0.59.1-7
- Rebuild (qt5)

* Wed Apr 12 2023 Jan Grulich <jgrulich@redhat.com> - 5.0.59.1-6
- Rebuild (qt5)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.59.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Jan Grulich <jgrulich@redhat.com> - 5.0.59.1-4
- Rebuild (qt5)

* Mon Oct 31 2022 Jan Grulich <jgrulich@redhat.com> - 5.0.59.1-3
- Rebuild (qt5)

* Wed Sep 21 2022 Jan Grulich <jgrulich@redhat.com> - 5.0.59.1-2
- Rebuild (qt5)

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.0.59.1-1
- Update to 5.0.59.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.59-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.0.59-3
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.0.59-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.0.59-1
- New release 5.0.59

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.0.46-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.0.46-1
- New release 5.0.46

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 30 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.0.42-1
- New release 5.0.42

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.0.40-1
- New release 5.0.40

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.21-4
- rebuild (qt5)

* Thu Nov 19 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.21-3
- Provides deepin-qt5dxcb-plugin%%{?_isa}

* Sat Nov 14 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.21-2
- Filter private so from Provides

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.21-1
- Review request for rename from deepin-qt5dxcb-plugin

